﻿# Host: localhost  (Version 5.7.40-log)
# Date: 2025-04-17 13:03:41
# Generator: MySQL-Front 6.0  (Build 2.20)




CREATE TABLE IF NOT EXISTS categorias (
  Id INT NOT NULL AUTO_INCREMENT,
  cvecateg varchar(6)  NULL,
  descripcion varchar(120)  NULL,
  PRIMARY KEY (Id)
) ;

#
# Structure for table "contacts"
#

CREATE TABLE contacts (
  recordId INT NOT NULL AUTO_INCREMENT,
  ResourceId INT NOT  NULL,
  FirstName varchar(50)  NULL,
  Lastname varchar(50)  NULL,
  midlename varchar(50)  NULL,
  category INT  NULL,
  BirthDate date  NULL,
  anniversary date  NULL,
  Title varchar(50)  NULL,
  company varchar(60)  NULL,
  Departament varchar(50)  NULL,
  job_position varchar(30)  NULL,
  AddressType1 INT  NULL,
  address1 varchar(120)  NULL,
  Address2 varchar(120)  NULL,
  city1 varchar(60)  NULL,
  City2 varchar(60)  NULL,
  State1 varchar(35)  NULL,
  State2 varchar(35)  NULL,
  Zip1 varchar(10)  NULL,
  Zip2 varchar(10)  NULL,
  coutry1 varchar(40)  NULL,
  Country2 varchar(40)  NULL,
  PhoneType1 smallint(6)  NULL,
  PhoneType2 smallint(6)  NULL,
  PhoneType3 smallint(6)  NULL,
  Phonetype4 smallint(6)  NULL,
  PhoneType5 smallint(6)  NULL,
  Phone1 varchar(25)  NULL,
  Phone2 varchar(25)  NULL,
  Phone3 varchar(25)  NULL,
  Phone4 varchar(25)  NULL,
  Phone5 varchar(25)  NULL,
  EmailType1 smallint(6)  NULL,
  EmailType2 smallint(6)  NULL,
  EmailType3 smallint(6)  NULL,
  Email1 varchar(125)  NULL,
  Email2 varchar(125)  NULL,
  Email3 varchar(125)  NULL,
  WebSiteType1 smallint(6)  NULL,
  WebSiteType2 smallint(6)  NULL,
  WebSite1 varchar(120)  NULL,
  WebSite2 varchar(120)  NULL,
  Custom1 varchar(100)  NULL,
  Custom2 varchar(100)  NULL,
  Custom3 varchar(100)  NULL,
  Custom4 varchar(100)  NULL,
  UserField0 varchar(120)  NULL,
  UserField1 varchar(120)  NULL,
  UserField2 varchar(120)  NULL,
  UserField4 varchar(120)  NULL,
  UserField3 varchar(120)  NULL,
  UserField5 varchar(120)  NULL,
  UserField6 varchar(120)  NULL,
  UserField7 varchar(120)  NULL,
  UserField8 varchar(120)  NULL,
  UserField9 varchar(120)  NULL,
  Department varchar(50)  NULL,
  AddressType2 INT  NULL,
  PRIMARY KEY (recordId),
  KEY company (company),
  KEY FirstName (FirstName,Lastname)
) ;

#
# Structure for table "events"
#


CREATE TABLE events (
  RecordId INT NOT NULL AUTO_INCREMENT,
  ResourceID INT NOT NULL,
  StartTime timestamp NULL,
  Endtime timestamp NULL,
  Description varchar(120)  NULL,
  Location varchar(100)  NULL,
  Notes text,
  category INT  NULL,
  AllDay tinyint(1)  NULL,
  DingPath varchar(255)  NULL,
  AlarmSet tinyint(1)  NULL,
  AlarmAdvance INT  NULL,
  AlarmAdvanceType INT  NULL,
  SnoozeTime timestamp NULL,
  RepeatCode INT  NULL,
  RepeatRangeEnd timestamp NULL,
  CustomInterval INT  NULL,
  UserField0 varchar(120)  NULL,
  UserField1 varchar(120)  NULL,
  UserField2 varchar(120)  NULL,
  UserField3 varchar(120)  NULL,
  UserField4 varchar(120)  NULL,
  UserField5 varchar(120)  NULL,
  UserField6 varchar(120)  NULL,
  UserField7 varchar(120)  NULL,
  UserField8 varchar(120)  NULL,
  UserField9 varchar(120)  NULL,
  PRIMARY KEY (RecordId),
  KEY Endtime (Endtime),
  KEY ResourceID (ResourceID),
  KEY StartTime (StartTime)
);

#
# Structure for table "resources"
#

CREATE TABLE resources (
  ResourceId INT NOT NULL AUTO_INCREMENT,
  Description varchar(255)  NULL,
  Notes text,
  ImageIndex INT  NULL,
  ResourceActive tinyint(1)  NULL,
  UserField0 varchar(120)  NULL,
  UserField1 varchar(120)  NULL,
  UserField2 varchar(120)  NULL,
  UserField3 varchar(120)  NULL,
  UserField4 varchar(120)  NULL,
  UserField5 varchar(120)  NULL,
  UserField6 varchar(120)  NULL,
  UserField7 varchar(120)  NULL,
  UserField8 varchar(120)  NULL,
  UserField9 varchar(120)  NULL,
  PRIMARY KEY (ResourceId),
  KEY ResurceId (ResourceId)
);

#
# Structure for table "tasks"
#

CREATE TABLE tasks (
  RecordId INT NOT NULL AUTO_INCREMENT,
  ResourceId INT not  NULL,
  Complete tinyint(1)  NULL,
  Description varchar(255)   NULL,
  Details text ,
  CreationOn timestamp NULL,
  Priority INT  NULL,
  Category INT  NULL,
  CompletedOn timestamp NULL,
  DueDate timestamp NULL,
  UserField0 varchar(120)   NULL,
  UserField1 varchar(120)   NULL,
  UserField2 varchar(120)   NULL,
  UserField3 varchar(120)   NULL,
  UserField4 varchar(120)   NULL,
  UserField5 varchar(120)   NULL,
  UserField6 varchar(120)   NULL,
  UserField7 varchar(120)   NULL,
  UserField8 varchar(120)   NULL,
  UserField9 varchar(120)   NULL,
  PRIMARY KEY (RecordId),
  KEY CompletedOn (CompletedOn),
  KEY DueDate (DueDate),
  KEY ResourceId (ResourceId)
);

#
# Structure for table "usuarios"
#

CREATE TABLE usuarios (
  Id INT NOT NULL AUTO_INCREMENT,
  username varchar(25)  NULL,
  password varchar(35)  NULL,
  nivel tinyint(4)  NULL,
  docsucid smallint(6)  NULL,
  PRIMARY KEY (Id),
  KEY Username (username)
);
